                .model TPASCAL
                ;rozliseni 12 bit
                .data
outaddr         dw      ?

                .code
adcinit         proc far inaddr:word
                public adcinit
                mov     ax,inaddr
                inc     ax
                mov     outaddr,ax
                ret

adcinit	        endp

ioread          proc far
                public ioread
                mov    dx,outaddr
                dec    dx
                in     al,dx
                mov    ah,0
                ret

ioread          endp

iowrite         proc far value:byte
                public iowrite
                mov    al,value
                mov    dx,outaddr
                dec    dx
                out    dx,al
                ret

iowrite         endp

adcread         proc far chanel:byte
                public adcread
                mov     al,chanel
		mov	ah,0
                and     al,0fh
                mov     cl,4
                ror     ax,cl

                mov     dx,outaddr
                inc     dx        ;zvedni o 1
                xchg    ah,al
                out     dx,al     ;MPX delay
                out     dx,al
                out     dx,al
                xchg    ah,al

                mov     di,ax
                mov     bx,0800h
                mov     si,0
                mov     cx,12          ;number of approx.(bits)
                mov     dx,outaddr
adclp:          mov     ax,di          ;chanel addr.
                or      ax,si          ;old approx.
                or      ax,bx          ;new approx.bit
                xchg    ah,al
                inc     dx             ;set hi addr.
                out     dx,al          ;al write high byte+channel
                dec     dx             ;set low addr.
                mov     al,ah
                out     dx,al          ;write low byte
                in      al,dx          ;read comparator
                and     al,1
                jnz     adc1           ;is new comp. valid ?
                or      si,bx          ;yes
adc1:           ror     bx,1
                loop    adclp
                mov     ax,si
                ret

adcread     endp

code		ends

		end



