const
end_const;

var
end_var;

driver
  adc = ADC1216A.DLL, ADC1216A.DMF, ADC1216A.PAR;
  gener = VSOURCE.DLL, VSOURCE.DMF, VSOURCE.PAR;
end_driver;

channel
  ad0 = real, 1, adc, input;
  ad1 = real, 2, adc, input;
  ad10 = real, 11, adc, input;
  ad11 = real, 12, adc, input;
  ad12 = real, 13, adc, input;
  ad13 = real, 14, adc, input;
  ad14 = real, 15, adc, input;
  ad15 = real, 16, adc, input;
  ad2 = real, 3, adc, input;
  ad3 = real, 4, adc, input;
  ad4 = real, 5, adc, input;
  ad5 = real, 6, adc, input;
  ad6 = real, 7, adc, input;
  ad7 = real, 8, adc, input;
  ad8 = real, 9, adc, input;
  ad9 = real, 10, adc, input;
  da0 = real, 33, adc, output, 0;
  di0 = boolean, 17, adc, input;
  di1 = boolean, 18, adc, input;
  di2 = boolean, 19, adc, input;
  di3 = boolean, 20, adc, input;
  di4 = boolean, 21, adc, input;
  di5 = boolean, 22, adc, input;
  di6 = boolean, 23, adc, input;
  di7 = boolean, 24, adc, input;
  do0 = boolean, 25, adc, output, false;
  do1 = boolean, 26, adc, output, false;
  do2 = boolean, 27, adc, output, false;
  do3 = boolean, 28, adc, output, false;
  do4 = boolean, 29, adc, output, false;
  do5 = boolean, 30, adc, output, false;
  do6 = boolean, 31, adc, output, false;
  do7 = boolean, 32, adc, output, false;
  gen = real, 22, gener, input, 'Mips';
end_channel;

timer

end_timer;

instrument

  panel id_2;
    owner = background;
    position = 2, 7, 480, 465;
    win_title = 't1216a';
    win_icon = ADCTEST.ICO;
  end_panel;

  meter id_3;
    timer = 0.20;
    owner = id_2;
    position = 197, 21, 88, 18;
    expression = ad8;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  window meter id_11;
    timer = 1;
    owner = id_2;
    position = 10, 323, 355, 132;
    expression = gen;
    mode = flow_graph;
    content = med;
    range_to = 2000;
    low_limit = 0;
    high_limit = 1500;
    history = 50;
    dec_places = 0;
    h_grid = 3;
    v_grid = 10;
    font = SYSTEM, 10, bold;
    mask = 'Mips ####';
    driver_exception = gener;
    colors
      value = white;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_4;
    timer = 0.20;
    owner = id_2;
    position = 197, 168, 88, 18;
    expression = ad15;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_5;
    timer = 0.20;
    owner = id_2;
    position = 39, 105, 88, 18;
    expression = ad4;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_6;
    timer = 0.20;
    owner = id_2;
    position = 39, 84, 88, 18;
    expression = ad3;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_7;
    timer = 0.20;
    owner = id_2;
    position = 39, 126, 88, 18;
    expression = ad5;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_8;
    timer = 0.20;
    owner = id_2;
    position = 39, 63, 88, 18;
    expression = ad2;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_9;
    timer = 0.20;
    owner = id_2;
    position = 39, 42, 88, 18;
    expression = ad1;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_10;
    timer = 0.20;
    owner = id_2;
    position = 39, 147, 88, 18;
    expression = ad6;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_11;
    timer = 0.20;
    owner = id_2;
    position = 39, 168, 88, 18;
    expression = ad7;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  label ;
    owner = id_2;
    position = 6, 42;
    font = SYSTEM, 10, bold;
    text = 'AD1';
  end_label;

  label ;
    owner = id_2;
    position = 6, 63;
    font = SYSTEM, 10, bold;
    text = 'AD2';
  end_label;

  label ;
    owner = id_2;
    position = 6, 84;
    font = SYSTEM, 10, bold;
    text = 'AD3';
  end_label;

  label ;
    owner = id_2;
    position = 6, 104;
    font = SYSTEM, 10, bold;
    text = 'AD4';
  end_label;

  label ;
    owner = id_2;
    position = 6, 126;
    font = SYSTEM, 10, bold;
    text = 'AD5';
  end_label;

  label ;
    owner = id_2;
    position = 6, 147;
    font = SYSTEM, 10, bold;
    text = 'AD6';
  end_label;

  label ;
    owner = id_2;
    position = 6, 169;
    font = SYSTEM, 10, bold;
    text = 'AD7';
  end_label;

  label ;
    owner = id_2;
    position = 6, 21;
    font = SYSTEM, 10, bold;
    text = 'AD0';
  end_label;

  meter id_12;
    timer = 0.20;
    owner = id_2;
    position = 39, 21, 88, 18;
    expression = ad0;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      low_limit = lgray;
    end_colors;
  end_meter;

  label ;
    owner = id_2;
    position = 160, 169;
    font = SYSTEM, 10, bold;
    text = 'AD15';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 160, 148;
    font = SYSTEM, 10, bold;
    text = 'AD14';
  end_label;

  label ;
    owner = id_2;
    position = 160, 128;
    font = SYSTEM, 10, bold;
    text = 'AD13';
  end_label;

  label ;
    owner = id_2;
    position = 160, 107;
    font = SYSTEM, 10, bold;
    text = 'AD12';
  end_label;

  label ;
    owner = id_2;
    position = 160, 85;
    font = SYSTEM, 10, bold;
    text = 'AD11';
  end_label;

  label ;
    owner = id_2;
    position = 160, 64;
    font = SYSTEM, 10, bold;
    text = 'AD10';
  end_label;

  label ;
    owner = id_2;
    position = 160, 44;
    font = SYSTEM, 10, bold;
    text = 'AD9';
  end_label;

  label ;
    owner = id_2;
    position = 160, 21;
    font = SYSTEM, 10, bold;
    text = 'AD8';
  end_label;

  meter id_13;
    timer = 0.20;
    owner = id_2;
    position = 197, 42, 88, 18;
    expression = ad9;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_14;
    timer = 0.20;
    owner = id_2;
    position = 197, 63, 88, 18;
    expression = ad10;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_15;
    timer = 0.20;
    owner = id_2;
    position = 197, 105, 88, 18;
    expression = ad12;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_16;
    timer = 0.20;
    owner = id_2;
    position = 197, 126, 88, 18;
    expression = ad13;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  meter id_17;
    timer = 0.20;
    owner = id_2;
    position = 197, 147, 88, 18;
    expression = ad14;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  label ;
    owner = id_2;
    position = 30, 195;
    font = SYSTEM, 10, bold;
    text = '                      A/D INPUTS                       ';
  end_label;

  meter id_18;
    timer = 0.20;
    owner = id_2;
    position = 197, 84, 88, 18;
    expression = ad11;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
      paper = lgray;
      value = lgray;
      low_limit = lgray;
    end_colors;
  end_meter;

  label ;
    owner = id_2;
    position = 35, 235;
    font = SYSTEM, 10, bold;
    text = 'KALIBRACE & TEST ADC1216A';
  end_label;

  label ;
    owner = id_2;
    position = 55, 255;
    font = SYSTEM, 10, bold;
    text = 'ADICOM Praha s.r.o. 1995';
    colors
      top_shadow = black;
    end_colors;
  end_label;

  panel id_19;
    owner = id_2;
    position = 300, 15, 158, 165;
    win_title = 'digital i / o';
  end_panel;

  indicator ;
    timer = 0.30;
    owner = id_19;
    position = 51, 11;
    expression = di0;
    true_icon = YLEDON.ICO;
    false_icon = YLEDOFF.ICO;
  end_indicator;

  label ;
    owner = id_19;
    position = 6, 122;
    font = SYSTEM, 10, bold;
    text = 'DIN6';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_19;
    position = 5, 140;
    font = SYSTEM, 10, bold;
    text = 'DIN7';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_19;
    position = 6, 102;
    font = SYSTEM, 10, bold;
    text = 'DIN5';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_19;
    position = 6, 83;
    font = SYSTEM, 10, bold;
    text = 'DIN4';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_19;
    position = 6, 63;
    font = SYSTEM, 10, bold;
    text = 'DIN3';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_19;
    position = 5, 5;
    font = SYSTEM, 10, bold;
    text = 'DIN0';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_19;
    position = 6, 23;
    font = SYSTEM, 10, bold;
    text = 'DIN1';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_19;
    position = 6, 43;
    font = SYSTEM, 10, bold;
    text = 'DIN2';
  end_label;

  indicator ;
    timer = 0.30;
    owner = id_19;
    position = 51, 126;
    expression = di6;
    true_icon = YLEDON.ICO;
    false_icon = YLEDOFF.ICO;
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_19;
    position = 51, 106;
    expression = di5;
    true_icon = YLEDON.ICO;
    false_icon = YLEDOFF.ICO;
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_19;
    position = 51, 29;
    expression = di1;
    true_icon = YLEDON.ICO;
    false_icon = YLEDOFF.ICO;
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_19;
    position = 51, 48;
    expression = di2;
    true_icon = YLEDON.ICO;
    false_icon = YLEDOFF.ICO;
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_19;
    position = 51, 67;
    expression = di3;
    true_icon = YLEDON.ICO;
    false_icon = YLEDOFF.ICO;
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_19;
    position = 51, 87;
    expression = di4;
    true_icon = YLEDON.ICO;
    false_icon = YLEDOFF.ICO;
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_19;
    position = 51, 145;
    expression = di7;
    true_icon = YLEDON.ICO;
    false_icon = YLEDOFF.ICO;
  end_indicator;

  multi_switch id_28;
    owner = id_19;
    position = 76, 6, 63, 152;
    mode = check_box;
    item
      text = 'OUT 0';
      output = do0;
    end_item;
    item
      text = 'OUT 1';
      output = do1;
    end_item;
    item
      text = 'OUT 2';
      output = do2;
    end_item;
    item
      text = 'OUT 3';
      output = do3;
    end_item;
    item
      text = 'OUT 4';
      output = do4;
    end_item;
    item
      text = 'OUT 5';
      output = do5;
    end_item;
    item
      text = 'OUT 6';
      output = do6;
    end_item;
    item
      text = 'OUT 7';
      output = do7;
    end_item;
  end_multi_switch;

  panel id_29;
    owner = id_2;
    position = 295, 180, 164, 103;
    win_title = 'd/a output';
  end_panel;

  label ;
    owner = id_29;
    position = 15, 10;
    font = SYSTEM, 10, bold;
    text = 'N=';
    colors
      paper = cyan;
      top_shadow = black;
    end_colors;
  end_label;

  control id_30;
    owner = id_29;
    position = 5, 5, 153, 44;
    output = da0;
    mode = horizontal_slider;
    content = med;
    range_to = 4095;
    colors
      border_paper = cyan;
      mark = lred;
    end_colors;
  end_control;

  meter DAvolts;
    timer = 0.50;
    owner = id_29;
    position = 40, 50, 94, 40;
    expression = ( da0 * 0.00122 ) - 2.497;
    mode = text_display;
    content = max;
    range_from = -5;
    range_to = 5;
    low_limit = -5;
    high_limit = 5;
    dec_places = 3;
    font = SYSTEM, 10, bold;
    mask = 'D/A ##.### V';
    colors
      ink = black;
      paper = lgray;
      value = lgray;
    end_colors;
  end_meter;

end_instrument;

