const
end_const;

var
end_var;

driver
  adc = ADC1216.DLL, ADC1216.DMF, ADC1216.PAR;
end_driver;

channel
  ad0 = real, 1, adc, input;
  ad1 = real, 2, adc, input;
  ad10 = real, 11, adc, input;
  ad11 = real, 12, adc, input;
  ad12 = real, 13, adc, input;
  ad13 = real, 14, adc, input;
  ad14 = real, 15, adc, input;
  ad15 = real, 16, adc, input;
  ad2 = real, 3, adc, input;
  ad3 = real, 4, adc, input;
  ad4 = real, 5, adc, input;
  ad5 = real, 6, adc, input;
  ad6 = real, 7, adc, input;
  ad7 = real, 8, adc, input;
  ad8 = real, 9, adc, input;
  ad9 = real, 10, adc, input;
  da0 = real, 33, adc, output, 0;
  di0 = boolean, 17, adc, input;
  di1 = boolean, 18, adc, input;
  di2 = boolean, 19, adc, input;
  di3 = boolean, 20, adc, input;
  di4 = boolean, 21, adc, input;
  di5 = boolean, 22, adc, input;
  di6 = boolean, 23, adc, input;
  di7 = boolean, 24, adc, input;
  do0 = boolean, 25, adc, output, false;
  do1 = boolean, 26, adc, output, false;
  do2 = boolean, 27, adc, output, false;
  do3 = boolean, 28, adc, output, false;
  do4 = boolean, 29, adc, output, false;
  do5 = boolean, 30, adc, output, false;
  do6 = boolean, 31, adc, output, false;
  do7 = boolean, 32, adc, output, false;
end_channel;

timer

end_timer;

instrument

  window panel id_2;
    owner = background;
    position = 62, 64, 395, 258;
    win_title = 'testcard';
  end_panel;

  label ;
    owner = id_2;
    position = 10, 223;
    font = SYSTEM, 10, bold;
    text = 'da0';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  control id_1;
    owner = id_2;
    position = 35, 193, 345, 48;
    output = da0;
    mode = horizontal_slider;
    content = med;
    range_to = 5;
  end_control;

  meter id_3;
    timer = 0.20;
    owner = id_2;
    position = 39, 105, 88, 18;
    expression = ad4;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_4;
    timer = 0.20;
    owner = id_2;
    position = 39, 84, 88, 18;
    expression = ad3;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_5;
    timer = 0.20;
    owner = id_2;
    position = 39, 126, 88, 18;
    expression = ad5;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_6;
    timer = 0.20;
    owner = id_2;
    position = 39, 63, 88, 18;
    expression = ad2;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_7;
    timer = 0.20;
    owner = id_2;
    position = 39, 42, 88, 18;
    expression = ad1;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_8;
    timer = 0.20;
    owner = id_2;
    position = 39, 147, 88, 18;
    expression = ad6;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_9;
    timer = 0.20;
    owner = id_2;
    position = 39, 168, 88, 18;
    expression = ad7;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  label ;
    owner = id_2;
    position = 6, 42;
    font = SYSTEM, 10, bold;
    text = 'ad1';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 6, 63;
    font = SYSTEM, 10, bold;
    text = 'ad2';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 6, 84;
    font = SYSTEM, 10, bold;
    text = 'ad3';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 6, 104;
    font = SYSTEM, 10, bold;
    text = 'ad4';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 6, 126;
    font = SYSTEM, 10, bold;
    text = 'ad5';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 6, 147;
    font = SYSTEM, 10, bold;
    text = 'ad6';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 6, 169;
    font = SYSTEM, 10, bold;
    text = 'ad7';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 6, 21;
    font = SYSTEM, 10, bold;
    text = 'ad0';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  meter id_10;
    timer = 0.20;
    owner = id_2;
    position = 39, 21, 88, 18;
    expression = ad0;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  label ;
    owner = id_2;
    position = 160, 169;
    font = SYSTEM, 10, bold;
    text = 'ad15';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 160, 148;
    font = SYSTEM, 10, bold;
    text = 'ad14';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 160, 128;
    font = SYSTEM, 10, bold;
    text = 'ad13';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 160, 107;
    font = SYSTEM, 10, bold;
    text = 'ad12';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 160, 85;
    font = SYSTEM, 10, bold;
    text = 'ad11';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 160, 64;
    font = SYSTEM, 10, bold;
    text = 'ad10';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 160, 44;
    font = SYSTEM, 10, bold;
    text = 'ad9';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 160, 21;
    font = SYSTEM, 10, bold;
    text = 'ad8';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  meter id_11;
    timer = 0.20;
    owner = id_2;
    position = 197, 21, 88, 18;
    expression = ad8;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_12;
    timer = 0.20;
    owner = id_2;
    position = 197, 42, 88, 18;
    expression = ad9;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_13;
    timer = 0.20;
    owner = id_2;
    position = 197, 63, 88, 18;
    expression = ad10;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_14;
    timer = 0.20;
    owner = id_2;
    position = 197, 84, 88, 18;
    expression = ad11;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_15;
    timer = 0.20;
    owner = id_2;
    position = 197, 105, 88, 18;
    expression = ad12;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_16;
    timer = 0.20;
    owner = id_2;
    position = 197, 126, 88, 18;
    expression = ad13;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_17;
    timer = 0.20;
    owner = id_2;
    position = 197, 147, 88, 18;
    expression = ad14;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  meter id_18;
    timer = 0.20;
    owner = id_2;
    position = 197, 168, 88, 18;
    expression = ad15;
    mode = text_display;
    content = max;
    range_from = -100;
    history = 10;
    dec_places = 3;
    colors
      ink = black;
    end_colors;
  end_meter;

  label ;
    owner = id_2;
    position = 309, 21;
    font = SYSTEM, 10, bold;
    text = 'dinp';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  label ;
    owner = id_2;
    position = 347, 21;
    font = SYSTEM, 10, bold;
    text = 'dout';
    colors
      top_shadow = lgray;
      bottom_shadow = lgray;
    end_colors;
  end_label;

  switch id_19;
    owner = id_2;
    position = 356, 41, 18, 18;
    output = do0;
    true_icon = 'SWON.ICO';
    false_icon = 'SWOFF.ICO';
  end_switch;

  switch id_20;
    owner = id_2;
    position = 356, 59, 18, 18;
    output = do1;
    true_icon = 'SWON.ICO';
    false_icon = 'SWOFF.ICO';
  end_switch;

  switch id_21;
    owner = id_2;
    position = 356, 77, 18, 18;
    output = do2;
    true_icon = 'SWON.ICO';
    false_icon = 'SWOFF.ICO';
  end_switch;

  switch id_22;
    owner = id_2;
    position = 356, 95, 18, 18;
    output = do3;
    true_icon = 'SWON.ICO';
    false_icon = 'SWOFF.ICO';
  end_switch;

  switch id_23;
    owner = id_2;
    position = 356, 113, 18, 18;
    output = do4;
    true_icon = 'SWON.ICO';
    false_icon = 'SWOFF.ICO';
  end_switch;

  switch id_24;
    owner = id_2;
    position = 356, 131, 18, 18;
    output = do5;
    true_icon = 'SWON.ICO';
    false_icon = 'SWOFF.ICO';
  end_switch;

  switch id_25;
    owner = id_2;
    position = 356, 149, 18, 18;
    output = do6;
    true_icon = 'SWON.ICO';
    false_icon = 'SWOFF.ICO';
  end_switch;

  switch id_26;
    owner = id_2;
    position = 356, 167, 18, 18;
    output = do7;
    true_icon = 'SWON.ICO';
    false_icon = 'SWOFF.ICO';
  end_switch;

  indicator ;
    timer = 0.30;
    owner = id_2;
    position = 319, 44;
    expression = di0;
    true_icon = 'YLEDON.ICO';
    false_icon = 'YLEDOFF.ICO';
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_2;
    position = 319, 62;
    expression = di1;
    true_icon = 'YLEDON.ICO';
    false_icon = 'YLEDOFF.ICO';
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_2;
    position = 319, 80;
    expression = di2;
    true_icon = 'YLEDON.ICO';
    false_icon = 'YLEDOFF.ICO';
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_2;
    position = 319, 98;
    expression = di3;
    true_icon = 'YLEDON.ICO';
    false_icon = 'YLEDOFF.ICO';
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_2;
    position = 319, 116;
    expression = di4;
    true_icon = 'YLEDON.ICO';
    false_icon = 'YLEDOFF.ICO';
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_2;
    position = 319, 134;
    expression = di5;
    true_icon = 'YLEDON.ICO';
    false_icon = 'YLEDOFF.ICO';
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_2;
    position = 319, 152;
    expression = di6;
    true_icon = 'YLEDON.ICO';
    false_icon = 'YLEDOFF.ICO';
  end_indicator;

  indicator ;
    timer = 0.30;
    owner = id_2;
    position = 319, 170;
    expression = di7;
    true_icon = 'YLEDON.ICO';
    false_icon = 'YLEDOFF.ICO';
  end_indicator;

end_instrument;

