		DOSSEG
		.MODEL LARGE
                ;rozliseni 12 bit

		.DATA
outaddr     	dw      ?

		.CODE
		PUBLIC  _adcinit
		PUBLIC 	_adcread
                PUBLIC  _daout

_adcinit    	PROC 	FAR inaddr:WORD
		push	bp
		mov	bp,sp
		mov     ax,inaddr
		inc     ax
		mov     outaddr,ax
		pop	bp
		ret
_adcinit	ENDP

_adcread	PROC 	FAR chanel:BYTE
		push	bp
		mov	bp,sp
		mov	ah,0
		mov     al,chanel
		and     al,0fh
		mov     cl,4
		ror     ax,cl
		mov     di,ax
		mov     bx,0800h
		mov     si,0
		mov     cx,12          ;number of approx.(bits)
		mov     dx,outaddr
adclp:          mov     ax,di          ;chanel addr.
		or      ax,si          ;old approx.
		or      ax,bx          ;new approx.bit
		xchg    ah,al
		inc     dx             ;set hi addr.
		out     dx,al          ;al write high byte+channel
		dec     dx             ;set low addr.
		mov     al,ah
		out     dx,al          ;write low byte
		in      al,dx          ;delay
		in      al,dx          ;read comparator
		and     al,1
		jnz     adc1           ;is new comp. valid ?
		or      si,bx          ;yes
adc1:           ror     bx,1
		loop    adclp
		mov     ax,si
		pop	bp
		ret
_adcread	ENDP



_daout          proc far dac:word
                mov ax,dac
                mov bx,ax
                mov dx,outaddr
                inc dx
                inc dx           ;adresa D/A := outadr+2
                and al,3Fh       ;maska 6 bit + LOW DA byte select
                out dx,al        ;out LO byte
                mov cl,2
                rol bx,cl
                mov al,bh
                and al,3Fh
                or  al,40h       ;bit 6 pro DA/EEPROM & DA/HI byte select
                out dx,al        ;out HI byte + write all 12 bits to DAC
		ret

_daout          endp


		end
